Bulk update workspace access
curl --request PUT \
--url https://api.portkey.ai/v1/integrations/{slug}/workspaces \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"workspaces": [
{
"id": "ws-my-team-1234",
"enabled": true,
"usage_limits": [
{
"credit_limit": 10,
"periodic_reset": "monthly",
"alert_threshold": 8
}
],
"rate_limits": [
{
"value": 123
}
],
"reset_usage": true,
"create_default_provider": true,
"default_provider_slug": "<string>"
}
],
"override_existing_workspace_access": true,
"create_default_provider": true,
"default_provider_slug": "<string>"
}
'{}Update Workspace Access
Updates workspace access permissions, usage limits, and rate limits for an integration. Can configure global workspace access or per-workspace settings.
PUT
/
integrations
/
{slug}
/
workspaces
Bulk update workspace access
curl --request PUT \
--url https://api.portkey.ai/v1/integrations/{slug}/workspaces \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"workspaces": [
{
"id": "ws-my-team-1234",
"enabled": true,
"usage_limits": [
{
"credit_limit": 10,
"periodic_reset": "monthly",
"alert_threshold": 8
}
],
"rate_limits": [
{
"value": 123
}
],
"reset_usage": true,
"create_default_provider": true,
"default_provider_slug": "<string>"
}
],
"override_existing_workspace_access": true,
"create_default_provider": true,
"default_provider_slug": "<string>"
}
'{}Authorizations
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether to override existing workspace access settings
Whether to automatically create a default provider when granting workspace access. Defaults to true. Can be overridden per workspace.
Custom slug for the auto-created default provider. Applies to all workspaces unless overridden per workspace. If the slug already exists, the request will fail with a validation error.
Response
200 - application/json
Workspace access updated successfully
The response is of type object.
Last modified on June 3, 2026
Was this page helpful?
⌘I

